Endpoints
Get snapshot
Return metadata for one script snapshot.
GET
/
v1
/
projects
/
{project_id}
/
scripts
/
{script_id}
/
snapshots
/
{snapshot_id}
Get snapshot
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/scripts/{script_id}/snapshots/{snapshot_id}import requests
url = "https://api.example.com/v1/projects/{project_id}/scripts/{script_id}/snapshots/{snapshot_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/projects/{project_id}/scripts/{script_id}/snapshots/{snapshot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Returns metadata for one snapshot. It does not include document content.
curl "https://api.arcstudiopro.com/v1/projects/project_.../scripts/script_.../snapshots/snapshot_..." \
-H "Authorization: Bearer $ARC_STUDIO_API_KEY"
{
"id": "snapshot_...",
"object": "script_snapshot",
"description": null,
"revision_color": null,
"created_at": "2026-06-24T12:00:00Z",
"formats": ["json", "md"]
}
⌘I
Get snapshot
